=== debian/changelog ===
ksh (2020.0.0-5) unstable; urgency=high

  * Team upload.
  * Remove unused french shcomp manpage: outdated and not in UTF-8
  * Bump Policy (no change)
  * Update several more places with ksh2020 name and references
  * Fix doc-base section
  * Add UMEGAYA file
  * Switch to update-alternatives for binfmt-misc registration
  * Bring back /{,usr/}bin/ksh symlink fix
  * Refresh all patches
  * Add debian/NEWS, documenting why this package was split

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 27 Jan 2020 16:45:42 +0100

ksh (2020.0.0-4) unstable; urgency=high

  * Piuparts issue (Closes: #949764)
  * Separated shcomp to its own alternative
  * Updated man page to reflect new binary name

 -- Anuradha Weeraman <aweeraman@gmail.com>  Fri, 24 Jan 2020 20:05:27 -0500

ksh (2020.0.0-3) unstable; urgency=high

  * Rename binary to ksh2020 to support co-existence with ksh93
  * Use alternative system for ksh, shcomp and rksh
  * Fix for broken restricted shell, issue 1459

 -- Anuradha Weeraman <aweeraman@gmail.com>  Sun, 19 Jan 2020 01:43:52 -0500

ksh (2020.0.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0008: Cherry-pick upstream security fix.
    (CVE-2019-14868, Closes: #948989)

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jan 2020 12:17:25 -0500

ksh (2020.0.0-2) unstable; urgency=medium

  [ Boyuan Yang ]
  * debian/control: Add vim and ed as <!nocheck> build-dependencies
    (though known to be failing).

  [ Anuradha Weeraman ]
  * Fixed typo in man page, and other documentation/lintian fixes
  * Removed source/lintian-overrides as it is redundant
  * CI configuration for Debian Salsa
  * Lintian override for package-contains-empty-directory
  * Updated the .desktop file, lintian fix
  * Patches for build-time test failures
  * New maintainer (Closes: #924979)

 -- Anuradha Weeraman <aweeraman@gmail.com>  Sat, 19 Oct 2019 19:16:04 -0400

ksh (2020.0.0-1) unstable; urgency=medium

  * QA upload.
  * New upstream stable release (2020.0.0).
  * debian/patches: Drop all backported patches, merged upstream.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
    + Use "Rules-Requires-Root: no".

 -- Boyuan Yang <byang@debian.org>  Thu, 10 Oct 2019 10:15:52 -0400

ksh (2020.0.0~beta1-3) unstable; urgency=medium

  * QA upload.
  * debian/patches:
    + Backport upstream 2020.0.0 branch commits till 2019-09-27.
    + Recover patch to use "ex" instead of "ed" by default for fs
      and hist commands.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Sep 2019 14:12:18 -0400

ksh (2020.0.0~beta1-2) unstable; urgency=medium

  * QA upload.
  * debian/watch: Minor fixes to the uscan script.
  * debian/source.lintian-overrides: Move to d/s/lintian-overrides.
  * debian/patches: Backport upstream 2020.0.0 branch commits
    till 2019-09-17.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 Sep 2019 11:49:05 -0400

ksh (2020.0.0~beta1-1) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.
  * debian/control: Mark build-dependency netcat-openbsd and
    expect with <!nocheck>.
  * debian/patches: Backport upstream patches in 2020.0.0
    branch.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Sep 2019 15:32:07 -0400

ksh (2020.0.0~beta1-1~exp1) experimental; urgency=medium

  * QA upload.
  * New upstream beta release (2020.0.0-beta1).
  * debian/control:
    + Add build-dependency netcat-openbsd and expect for tests.
    + Bump Standards-Version to 4.4.0.
  * debian/rules: Add check for DEB_BUILD_OPTIONS in dh_auto_test
    to handle "nocheck" build profile.

 -- Boyuan Yang <byang@debian.org>  Tue, 03 Sep 2019 10:38:17 -0400
