=== debian/control ===
Source: ksh
Section: shells
Priority: optional
Maintainer: Anuradha Weeraman <aweeraman@gmail.com>
Homepage: https://github.com/att/ast
Build-Depends:
 debhelper-compat (= 12),
 dh-exec,
 ed <!nocheck>,
 expect <!nocheck>,
 locales-all,
 meson,
 netcat-openbsd <!nocheck>,
 ninja-build,
 procps,
 vim <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/ksh.git
Vcs-Browser: https://salsa.debian.org/debian/ksh

Package: ksh
Architecture: any
Replaces: ksh93
Depends:
 binfmt-support,
 ${misc:Depends},
 ${shlibs:Depends},
Description: 2020 version of the AT&T Korn Shell
 Ksh is a UNIX command interpreter (shell) that is intended for both
 interactive and shell script use. Its command language is a superset of
 the sh(1) shell language.
 .
 The 1993 version adds a number of new, mostly scripting related,
 features over the 1988 version that is typically distributed with
 commercial UNIX variants. For example, it has lexical scoping, compound
 variables, associative arrays, named references and floating point
 math.
 .
 The shcomp tool can be used to compile ksh scripts into a binary format.
