=== src/lib/libsum/Makefile ===
:PACKAGE: ast

LICENSE = since=1996,author=gsf

CCFLAGS = $(CC.OPTIMIZE) $(CC.PIC)

sum 1.0 :LIBRARY: sum.h sumlib.c -lmd

$(INCLUDEDIR) :INSTALLPROTO: sum.h

:: RELEASE
