=== debian/changelog ===
ksh (2020.0.0+really93u+20120801-9) unstable; urgency=medium

  * Updated UMEGAYA
  * Support for rootless building
  * Cleanups for debian/rules to make more use of debhelper
  * Included additional documentation file
  * Fix to skip '.' and '..' when globbing patterns like .*
  * Bumped up standards version

 -- Anuradha Weeraman <anuradha@debian.org>  Tue, 8 Dec 2020 19:27:41 -0400

ksh (2020.0.0+really93u+20120801-8) unstable; urgency=medium

  * Fix for segfault when a .paths directory exists in the PATH
  * Bug-fix on input buffer boundary of multibyte characters (Closes: #767935)
  * Added X-AppStream-Ignore=true to ksh.desktop

 -- Anuradha Weeraman <anuradha@debian.org>  Sun, 12 Jul 2020 10:09:44 -0400

ksh (2020.0.0+really93u+20120801-7) unstable; urgency=medium

  * Updated Vcs-* fields in debian/control
  * Fix AppStream warning on missing icon in .desktop file
  * Changed binfmt-support to a suggested dependency
  * Removed debian/NEWS on the ksh2020 revert (Closes: #964058)

 -- Anuradha Weeraman <anuradha@debian.org>  Mon, 29 Jun 2020 19:47:14 -0400

ksh (2020.0.0+really93u+20120801-6) unstable; urgency=high

  * v2020 of ksh is no longer being maintained and upstream repository has
    been reverted back to the last stable version of 93u+. This update
    reverts back the ksh2020 changes back to the original ksh93 from AT&T.
  * Patch for CVE-2019-14868 - certain environment variables were
    interpreted as arithmetic expressions on startup, leading to code
    injection

 -- Anuradha Weeraman <anuradha@debian.org>  Sat, 27 Jun 2020 21:17:32 -0400

ksh93 (93u+20120801-7) unstable; urgency=medium

  * Fix for crashes because job locking mechanism does not survive
    compiler optimization (Closes: #867181)
  * Fix for implicit declaration warnings
  * Updated upstream metadata

 -- Anuradha Weeraman <aweeraman@gmail.com>  Thu, 06 Feb 2020 21:21:27 -0500

ksh93 (93u+20120801-6) unstable; urgency=high

  * Team upload.
  * Fix a few missing CFLAGS, CPPFLAGS, LDFLAGS

 -- Thorsten Glaser <tg@mirbsd.de>  Tue, 04 Feb 2020 21:36:56 +0100

ksh93 (93u+20120801-5) unstable; urgency=high

  * Team upload.
  * Fix ksh93 name in more places; improve ksh2020 coïnstallability
  * Bump Policy (no change)
  * Fix doc-base section
  * Drop unused french manpage
  * Update packaging (debhelper, etc.)
  * Add UMEGAYA file
  * Switch to update-alternatives for binfmt-misc registration
  * Refresh patches, add missing comments
  * R³: actually, yes (upstream portion of installation)
  * Update lintian overrides
  * Add debian/NEWS, documenting why this package was split
  * Ensure coïnstallability: versioned Breaks: ksh

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 27 Jan 2020 16:49:22 +0100

ksh93 (93u+20120801-4) unstable; urgency=medium

  * Re-introduce ksh93 into the archive as a separate package (Closes: #948745)
  * Bumped up standards-version
  * Set the hardened build flags
  * Use alternatives system for binaries

  [ Boyuan Yang ]
  * debian/control: Explicitly specify Vcs-Git branch.

 -- Anuradha Weeraman <aweeraman@gmail.com>  Sat, 18 Jan 2020 21:34:10 -0500
