=== debian/control ===
Source: ksh
Section: shells
Priority: optional
Maintainer: Anuradha Weeraman <anuradha@debian.org>
Homepage: http://www.kornshell.com/
Build-Depends: debhelper-compat (= 12), dh-exec
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/ksh.git
Vcs-Browser: https://salsa.debian.org/debian/ksh

Package: ksh
Architecture: any
Conflicts: ksh93
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: binfmt-support
Description: Real, AT&T version of the Korn shell
 Ksh is a UNIX command interpreter (shell) that is intended for both
 interactive and shell script use. Its command language is a superset of
 the sh(1) shell language.
 .
 The 1993 version adds a number of new, mostly scripting related,
 features over the 1988 version that is typically distributed with
 commercial UNIX variants. For example, it has lexical scoping, compound
 variables, associative arrays, named references and floating point
 math.
 .
 The shcomp tool can be used to compile ksh scripts into a binary format.
